Get the most out of your Centmin Mod LEMP stack
Become a Member

PHP PHP 5.6.16 is available

Discussion in 'Nginx and PHP-FPM news & discussions' started by eva2000, Nov 27, 2015.

  1. eva2000

    eva2000 Administrator Staff Member

    29,033
    6,589
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,782
    Local Time:
    7:12 PM
    Nginx 1.13.x
    MariaDB 5.5
    • Agree Agree x 1
  2. Sunka

    Sunka Active Member

    888
    230
    43
    Oct 31, 2015
    Rijeka, Croatia
    Ratings:
    +376
    Local Time:
    11:12 AM
    Nginx 1.13.3
    MariaDB 10.1.24
    Nice, but I will stay on 5.6.15 and wait for stable 7.0 with suport for redis
     
  3. RoldanLT

    RoldanLT Well-Known Member

    3,830
    929
    113
    May 25, 2014
    Phillipines
    Ratings:
    +1,258
    Local Time:
    5:12 PM
    1.11
    10.2
    Just updated mine :)
     
    • Informative Informative x 1
  4. Sunka

    Sunka Active Member

    888
    230
    43
    Oct 31, 2015
    Rijeka, Croatia
    Ratings:
    +376
    Local Time:
    11:12 AM
    Nginx 1.13.3
    MariaDB 10.1.24
    I am afraid cause I do not remember will upgrading ruined some of my custom settings (not that in custom php.ini) couse I do not remember was I changed somothing or not. Also, I am not sure with caching then, and settings about that, and... I'm just not sure. I dive into linux sea just month ago
     
  5. eva2000

    eva2000 Administrator Staff Member

    29,033
    6,589
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,782
    Local Time:
    7:12 PM
    Nginx 1.13.x
    MariaDB 5.5
    ah php-fpm and mysqlnd related bug fixes ! both relevant to centmin mod LEMP stacks

     
    • Informative Informative x 1
  6. RoldanLT

    RoldanLT Well-Known Member

    3,830
    929
    113
    May 25, 2014
    Phillipines
    Ratings:
    +1,258
    Local Time:
    5:12 PM
    1.11
    10.2
    Updating PHP with minor release will not ruin anything on your config.
     
    • Like Like x 1
    • Agree Agree x 1
  7. eva2000

    eva2000 Administrator Staff Member

    29,033
    6,589
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,782
    Local Time:
    7:12 PM
    Nginx 1.13.x
    MariaDB 5.5
    updated :)

    Code:
    php -v
    PHP 5.6.16 (cli) (built: Nov 27 2015 02:14:16)
    Copyright (c) 1997-2015 The PHP Group
    Zend Engine v2.6.0, Copyright (c) 1998-2015 Zend Technologies
        with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2015, by Zend Technologies
     
  8. Sunka

    Sunka Active Member

    888
    230
    43
    Oct 31, 2015
    Rijeka, Croatia
    Ratings:
    +376
    Local Time:
    11:12 AM
    Nginx 1.13.3
    MariaDB 10.1.24
    :)

    Code:
    [root@tvor-ocean ~]# php -v
    PHP 5.6.16 (cli) (built: Nov 27 2015 03:43:17)
    Copyright (c) 1997-2015 The PHP Group
    Zend Engine v2.6.0, Copyright (c) 1998-2015 Zend Technologies
        with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2015, by Zend Technologies
    
    [root@tvor-ocean ~]# THANKS eva2000 & RoldanLT
    Will I have to do something (reinstall) imagick or with some other php extension?
     
  9. eva2000

    eva2000 Administrator Staff Member

    29,033
    6,589
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,782
    Local Time:
    7:12 PM
    Nginx 1.13.x
    MariaDB 5.5
    see php upgrade section at PHP-FPM - CentminMod.com LEMP Nginx web stack for CentOS
     
    • Informative Informative x 1
  10. Sunka

    Sunka Active Member

    888
    230
    43
    Oct 31, 2015
    Rijeka, Croatia
    Ratings:
    +376
    Local Time:
    11:12 AM
    Nginx 1.13.3
    MariaDB 10.1.24

    So I have to do it manual if any custom change exists before?
     
  11. eva2000

    eva2000 Administrator Staff Member

    29,033
    6,589
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,782
    Local Time:
    7:12 PM
    Nginx 1.13.x
    MariaDB 5.5
    PHP minor version upgrades generally do not need php extension recompiles that is why it's skipped (unless you have issues with the php extension). Major PHP version upgrades do need php extension recompiles.
     
    • Informative Informative x 1
  12. Sunka

    Sunka Active Member

    888
    230
    43
    Oct 31, 2015
    Rijeka, Croatia
    Ratings:
    +376
    Local Time:
    11:12 AM
    Nginx 1.13.3
    MariaDB 10.1.24
    • Creative Creative x 1
  13. eva2000

    eva2000 Administrator Staff Member

    29,033
    6,589
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,782
    Local Time:
    7:12 PM
    Nginx 1.13.x
    MariaDB 5.5
    ah :)
     
    • Funny Funny x 1
  14. eva2000

    eva2000 Administrator Staff Member

    29,033
    6,589
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +9,782
    Local Time:
    7:12 PM
    Nginx 1.13.x
    MariaDB 5.5
    5.6.17 seems to be out now too for security fixes !

    Code:
     php -v
    PHP 5.6.17 (cli) (built: Jan  7 2016 12:26:22)
    Copyright (c) 1997-2015 The PHP Group
    Zend Engine v2.6.0, Copyright (c) 1998-2015 Zend Technologies
        with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2015, by Zend Technologies
     
    • Informative Informative x 1